<div class="container-fluid p-py-5 settings-override">
  <div class="form-group form-row">
    <div class="offset-3 col-6">
      <p-fieldset>
        <p-header>
          Hours settings
        </p-header>
        <div class="form-group form-row">
          <div class="col-3 text-right col-form-label">
            Internal
          </div>
          <div class="col-6">
            <div style="padding: 0 8px">
              <div style="margin-bottom: 5px; margin-top: -10px;">
                {{settings.minInternal + ' - ' + settings.maxInternal}}
              </div>
              <p-slider #internalSlider [ngModel]="[settings.minInternal * 2, settings.maxInternal * 2]" (ngModelChange)="onInternalHoursChange($event)"
                [range]="true" [min]="0" [max]="24" [step]="1" [style]="{'width':'100%' }"></p-slider>
            </div>
          </div>
        </div>
        <div class="form-group form-row">
          <div class="col-3 text-right col-form-label">
            External
          </div>
          <div class="col-6">
            <div style="padding: 0 8px">
              <div style="margin-bottom: 5px; margin-top: -10px;">
                {{settings.minExternal + ' - ' + settings.maxExternal}}
              </div>
              <p-slider #externalSlider [ngModel]="[settings.minExternal * 2, settings.maxExternal * 2]" (ngModelChange)="onExternalHoursChange($event)"
                [range]="true" [min]="0" [max]="24" [step]="1" [style]="{'width':'100%' }"></p-slider>
            </div>
          </div>
        </div>
      </p-fieldset>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="offset-3 col-6">
      <p-fieldset>
        <p-header>
          Closing settings
        </p-header>
        <div class="form-group form-row">
          <div class="col-3 text-right col-form-label align-self-center">
            Closing type
          </div>
          <div class="col-6">
            <p-dropdown [(ngModel)]="settings.closingType" [options]="closingTypes" [style]="{ 'width': '100%' }"></p-dropdown>
          </div>
        </div>
        <div class="form-group form-row" *ngIf="supportsClosingType(settings.closingType)">
          <div class="col-3 text-right col-form-label align-self-center">
            Window before
          </div>
          <div class="col-2">
            <p-inputNumber [(ngModel)]="settings.beforeClosing" [useGrouping]="false"></p-inputNumber>
          </div>
          <div class="col-2 text-right col-form-label align-self-center">
            after
          </div>
          <div class="col-2">
            <p-inputNumber [(ngModel)]="settings.afterClosing" [useGrouping]="false"></p-inputNumber>
          </div>
          <div class="col-2 text-right col-form-label align-self-center">
            (days)
          </div>
        </div>
      </p-fieldset>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="offset-3 col-6">
      <p-fieldset>
        <p-header>
          Default settings
        </p-header>
        <div class="form-group form-row">
          <div class="col-3 text-right col-form-label align-self-center">
            Budget Owner
          </div>
          <div class="col-6">
            <app-filter-dropdown class="w-100"
            [options]="budgetOwnerSelectItems"
            [(selectedItem)]="settings.defaultBo"
            placeholder="Please select a user"
            [resetFilterOnHide]="true"
          ></app-filter-dropdown>
          </div>
        </div>
      </p-fieldset>
    </div>
  </div>

  <div class="form-group form-row">
    <div class="col-9 text-right">
      <button [disabled]="!hasWritePermission" pButton label="Save" (click)="onSave()"></button>
    </div>
  </div>
</div>
